
# major is the part of the library name after the .so
%define major 1
%define libname %mklibname sepol %{major}
%define develname %mklibname sepol -d
%define stdevelname %mklibname sepol -d -s


Summary: 	SELinux binary policy manipulation library
Name: 		libsepol
Version: 	2.5
Release: 	%mkrel 1
License: 	GPL
Group: 		System/Libraries
URL:		http://www.selinuxproject.org
Source0:	https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/20150202/libsepol-%{version}.tar.gz
BuildRequires:	flex



%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package -n %{libname}
Summary: SELinux binary policy manipulation library
Group: System/Libraries
Provides: libsepol = %{version}-%{release}

%description -n %{libname}
libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package -n %{develname}
Summary: Header files and libraries used to build policy manipulation tools
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: sepol-devel = %{version}-%{release}

%description -n %{develname}
The libsepol-devel package contains the libraries and header files
needed for developing applications that manipulate binary policies.

%package -n %{stdevelname}
Summary: Static libraries used to build policy manipulation tools
Group: Development/C
Requires: %{develname} = %{version}-%{release}
Provides: %{name}-static-devel = %{version}-%{release}
Provides: sepol-static-devel = %{version}-%{release}

%description -n %{stdevelname}
The libsepol-devel package contains the static libraries
needed for developing applications that manipulate binary policies.

%prep
%setup -q

%build
%make clean
%make CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}/%{_lib}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man3
mkdir -p %{buildroot}%{_mandir}/man8
%{makeinstall_std} LIBDIR="%{buildroot}%{_libdir}" SHLIBDIR="%{buildroot}/%{_lib}"
rm -f %{buildroot}%{_bindir}/genpolbools
rm -f %{buildroot}%{_bindir}/genpolusers
rm -f %{buildroot}%{_bindir}/chkcon
rm -rf %{buildroot}%{_mandir}/man8
rm -rf %{buildroot}%{_mandir}



# %post -n %{mklibname}
# [ -x /sbin/telinit ] && [ -p /dev/initctl ]  && /sbin/telinit U
#exit 0

%files -n %{libname}
/%{_lib}/libsepol.so.%{major}

%files -n %{develname}
%{_libdir}/libsepol.so
%{_libdir}/pkgconfig/libsepol.pc
%{_includedir}/sepol/*.h
%{_includedir}/sepol/cil
%dir %{_includedir}/sepol
%dir %{_includedir}/sepol/policydb
%{_includedir}/sepol/policydb/*.h
%{_includedir}/sepol/cil/*.h

%files -n %{stdevelname}
%{_libdir}/libsepol.a


%changelog
* Thu Feb 25 2016 spuhler <spuhler> 2.5-1.mga6
+ Revision: 979087
-u pgrade to vers. 2.5

* Mon Feb 15 2016 umeabot <umeabot> 2.4-2.mga6
+ Revision: 961214
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 tv <tv> 2.4-1.mga6
+ Revision: 897006
- adjust file list
- BR flex
- new release
- fix source URL

* Wed Oct 15 2014 umeabot <umeabot> 2.3-5.mga5
+ Revision: 739473
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-4.mga5
+ Revision: 681776
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 wally <wally> 2.3-3.mga5
+ Revision: 676786
- add some generic provides to devel pkgs
- fix static devel pkg requires

* Sun Sep 14 2014 spuhler <spuhler> 2.3-2.mga5
+ Revision: 675520
- changed the library names to meet Mageia spec

* Thu Jun 12 2014 spuhler <spuhler> 2.3-1.mga5
+ Revision: 635724
- upgrade to ver. 2.3

* Thu Feb 06 2014 spuhler <spuhler> 2.2-1.mga5
+ Revision: 584060
- upgrade to ver 2.2

* Fri Oct 18 2013 umeabot <umeabot> 2.1.9-3.mga4
+ Revision: 522441
- Mageia 4 Mass Rebuild

* Fri Mar 01 2013 spuhler <spuhler> 2.1.9-2.mga3
+ Revision: 400907
- added Provides: libsepol = %%{version}-%%{release}
 * to make the Requires arch independent

* Tue Feb 26 2013 spuhler <spuhler> 2.1.9-1.mga3
+ Revision: 400392
- upgrade to 2.1.9
  filename_trans: use some better sorting to compare and merge
  coverity fixes
  implement default type policy syntax
  Fix memory leak issues found by Klocwork
- updated patch from rhat for 2.1.9

* Sat Jan 12 2013 umeabot <umeabot> 2.1.8-3.mga3
+ Revision: 358139
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 spuhler <spuhler> 2.1.8-2.mga3
+ Revision: 338495
- bumped rel to build it with updated patch
- updated rhat.patch

* Sat Dec 01 2012 spuhler <spuhler> 2.1.8-1.mga3
+ Revision: 324422
- upgrade to 2.1.8
  cleanup of spec

* Sun Sep 02 2012 spuhler <spuhler> 2.1.7-1.mga3
+ Revision: 287138
- update to 2.1.7
- added libsepol-rhat.patch

* Fri Feb 11 2011 dmorgan <dmorgan> 2.0.34-2.mga1
+ Revision: 50044
- Fix typo
- Fix file list
- Remove mdv macros
- imported package libsepol

